#include "AbstractDag.hpp"

//==============================================================================
/**
 * Default constructor
 */
AbstractDag::AbstractDag() {
  // Empty
}

/**
 * Constructor
 */
AbstractDag::AbstractDag(QString graphName,
                         int numberOfNodes,
                         int numberOfEdges,
                         GVC_t *graphvizContext) :
    _structure(graphName,
               numberOfNodes,
               numberOfEdges,
               graphvizContext)
{
  // Empty
}


/**
 * Destructor
 */
AbstractDag::~AbstractDag() {
  // TODO Empty constructor ?
}


//==============================================================================
// Getters & setters

/**
 * Returns a pointer to the DAG structure object which contains the Graphviz data.
 *
 * @return A pointer to the DAG structure
 */
DagStructure* AbstractDag::getStructure() {
  return &_structure;
}
